/* No nav on tip page */
body {
    padding-top: 0;
}

/* Demo Wrapper */
.demo-wrapper {
    max-width: 480px;
    min-height: 100vh;
    margin: 0 auto;
    padding: 0;
}

/* Tip Page */
#back-cta {
    margin-top: 2rem;
}
#pay-btn:not(:disabled) {
    transform: scale(1.3);
}
#tip-confirmation {
    margin-bottom: 0;
    margin-top: 1rem;
    font-size: 1.2rem;
    white-space: pre-line;
}
#pay-confirmation {
    white-space: pre-line;
}

/* Demo Tip Page */
.artist-tip-row {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin: 0 auto;
    max-width: 480px;
}
.tip-text {
    font-size: 2rem;
    font-weight: bold;
}
.artist-logo-tip-box {
    width: 300px;
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.artist-logo-tip-box img {
    max-height: 100%;
    max-width: 100%;
    object-fit: contain;
}

/* Artist Tip Page */
.artist-tip-logo-box {
    width: 100%;
    max-width: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    margin: 0 auto;
}
.artist-tip-logo-box img {
    max-height: 100%;
    max-width: 100%;
    width: 100%;
    object-fit: contain;
}

/* Countdown clock */
.countdown-section {
    margin-top: 2rem;
}
.countdown-timer {
    font-size: 1rem;
    font-weight: bold;
    color: #FF0000;
}
.countdown-value {
    font-size: 1.5rem;
}
.tip-window {
    margin-top: 1rem;
}

/* Messages */
#data-message {
    color: #FF0000;
}
#fee-message {
    color: #f5f5f5;
}
.modal-message a {
    color: #FF0000;
    font-size: 0.85rem;
    opacity: 0.75;
}

/* Stripe */
#card-container {
    background: #f5f5f5;
    padding: 0.5rem 1rem;
    border-radius: 6px;
    margin-left: auto;
    margin-right: auto;
    max-width: 425px;
    width: 90%;
}
#card-container p {
    color: #FF0000;
}
#card-errors {
    color: #FF0000;
    font-size: 0.9rem;
}
#wallet-button-container {
    border: 2px solid #dc3545;
    border-radius: 6px;
    max-width: 425px;
    width: 50%;
    padding: 0.5rem 1rem;
    margin-left: auto;
    margin-right: auto;
}
